Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ebuild] net-im/mercury-messenger
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
bouleetbil
Guru
Guru


Joined: 06 Jul 2004
Posts: 456
Location: Montpellier

PostPosted: Sun Nov 18, 2007 3:16 pm    Post subject: [ebuild] net-im/mercury-messenger Reply with quote

Bonjour,
Un ebuild pour net-im/mercury-messenger-1.9-r2 qui avec un peu de chance il supporte votre webcam :
Code:

# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

inherit eutils rpm

MY_PVR="${PVR/-r/-}"
MY_P="${PN}-${MY_PVR}"

DESCRIPTION="msn in java"
HOMEPAGE="http://www.mercury.im/"
SRC_URI="http://thebachman.info/images/stories/Mercury/Versions/${MY_P}.noarch.rpm"

RESTRICT="nomirror"
LICENSE="mercury"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">virtual/jdk-1.4"

src_install() {
   #hack for launch mercury
   rm usr/bin/mercury
   echo "#!/bin/bash "> usr/bin/mercury
   echo "cd /usr/share/mercury" >> usr/bin/mercury
   echo "sh startup/startup_linux.sh" >> usr/bin/mercury
   dobin usr/bin/mercury

   insinto /usr/share/mercury
   doins -r usr/share/mercury/*

   doicon "usr/share/icons/crystalsvg/48x48/apps/mercurylogo.png"  || die "doicon failed"

   insinto /usr/share/applications
   doins usr/share/applnk/Internet/*

}
pkg_postinst() {
   ewarn "DO NOT report bugs to Gentoo's bugzilla"
   einfo "you should append /usr/share/mercury/jni/jmf/ to LD_LIBRARY_PATH in your ~/.bashrc "
   einfo "LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/share/mercury/jni/jmf"
   einfo "export LD_LIBRARY_PATH"
   einfo "if you use compiz or beryl : export AWT_TOOLKIT=MToolkit"
   if  built_with_use x11-libs/libX11 xcb; then   
      einfo "If you have this error :"
      einfo "java: xcb_xlib.c:50: xcb_xlib_unlock."
      einfo "sed -i 's/XINERAMA/FAKEEXTN/g' /opt/sun-jdk-1.6.0.03/jre/lib/i386/xawt/libmawt.so"
      einfo "sun-jdk-1.6.0.03 is the version of java-sun"
      einfo "or disable xcb in x11-libs/libX11"
    fi
}




[edit] c'est un client msn [/edit]

Bon l'ebuild est pas tres propre, mercury n'est pas libre mais bon ...
_________________
L'homme n'est pas fait pour travailler ça le fatigue.
LiveCD Gentoo : http://www.frogdev.info
Gentoo/Freebsd : http://www.frogdev.info/gentoo_freebsd.php


Last edited by bouleetbil on Sun Nov 18, 2007 8:00 pm; edited 1 time in total
Back to top
View user's profile Send private message
truc
Advocate
Advocate


Joined: 25 Jul 2005
Posts: 3199

PostPosted: Sun Nov 18, 2007 7:39 pm    Post subject: Reply with quote

salut, Je ne sais pas si c'est ce que tu as fait ou pas, mais ce package était il y a un moment dans l'arbre, donc en fouillant un peu, tu devrais pouvoir trouver l'ebuild d'origine ainsi que quelques autres informations croustillantes...


J'n'ai jamais pris le temps de me plonger dedans pour essayer des versions récentes de ce client, alors merci pour ton travail :)

Juste une remarque en passant, la révision d'un ebuild est quelque chose de propre à l'ebuild, et ne devrait nornalement pas être liée à la version (officielle) du package :)
Voili-voiloui, j'n'ai pas plus regardé :)
_________________
The End of the Internet!
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Sun Nov 18, 2007 7:43 pm    Post subject: Reply with quote

Ouh la, t'es sur de vouloir utiliser ça ? :) https://bugs.gentoo.org/show_bug.cgi?id=151866
Les vieux ebuilds sont la :
http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mercury-bin/?hideattic=0
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
bouleetbil
Guru
Guru


Joined: 06 Jul 2004
Posts: 456
Location: Montpellier

PostPosted: Sun Nov 18, 2007 8:30 pm    Post subject: Reply with quote

truc wrote:

Juste une remarque en passant, la révision d'un ebuild est quelque chose de propre à l'ebuild, et ne devrait nornalement pas être liée à la version (officielle) du package :)
Voili-voiloui, j'n'ai pas plus regardé :)


Ah oui j'avais zapé. En fait j'ai pris la solution la plus simple pour remplacer le -r par - pour télécharger le rpm.
Je ferais la modification plus tard

@ guilc :
oui en fait j'ai vu après qu'il existait des ebuilds https://bugs.gentoo.org/show_bug.cgi?id=77141

J'utilise pas le use cam comme tout est dans le rpm et que l'intéret principal de ce client est la webcam en tout cas pour moi. Quand au mercury.sh j'ai fais des echo c'est pour tout avoir dans l'ebuild (je sais c'est pas bien :oops: )
_________________
L'homme n'est pas fait pour travailler ça le fatigue.
LiveCD Gentoo : http://www.frogdev.info
Gentoo/Freebsd : http://www.frogdev.info/gentoo_freebsd.php
Back to top
View user's profile Send private message
bouleetbil
Guru
Guru


Joined: 06 Jul 2004
Posts: 456
Location: Montpellier

PostPosted: Sun Nov 18, 2007 8:32 pm    Post subject: Reply with quote

Donc l'ebuild corrigé

net-im/mercury-messenger-1.9.ebuild
Code:

# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2


inherit eutils rpm

SUB_VERSION="2"
#MY_PVR="${PVR/-r/-}"
#MY_P="${PN}-${MY_PVR}"

DESCRIPTION="msn in java"
HOMEPAGE="http://www.mercury.im/"
SRC_URI="http://thebachman.info/images/stories/Mercury/Versions/${P}-${SUB_VERSION}.noarch.rpm"

RESTRICT="nomirror"
LICENSE="mercury"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">virtual/jdk-1.4"


src_install() {
   #hack for launch mercury
   #rm usr/bin/mercury
   #echo "#!/bin/bash "> usr/bin/mercury
   #echo "cd /usr/share/mercury" >> usr/bin/mercury
   #echo "sh startup/startup_linux.sh" >> usr/bin/mercury
   #dobin usr/bin/mercury
   dobin ${FILESDIR}/mercury

   insinto /usr/share/mercury
   doins -r usr/share/mercury/*

   doicon "usr/share/icons/crystalsvg/48x48/apps/mercurylogo.png"  || die "doicon failed"

   insinto /usr/share/applications
   doins usr/share/applnk/Internet/*

}
pkg_postinst() {
   ewarn "DO NOT report bugs to Gentoo's bugzilla"
   einfo "you should append /usr/share/mercury/jni/jmf/ to LD_LIBRARY_PATH in your ~/.bashrc "
   einfo "LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/share/mercury/jni/jmf"
   einfo "export LD_LIBRARY_PATH"
   einfo "if you use compiz or beryl and mercury don't work : export AWT_TOOLKIT=MToolkit"
   if  built_with_use x11-libs/libX11 xcb; then   
      einfo "If you have this error :"
      einfo "java: xcb_xlib.c:50: xcb_xlib_unlock."
      einfo "sed -i 's/XINERAMA/FAKEEXTN/g' /opt/sun-jdk-1.6.0.03/jre/lib/i386/xawt/libmawt.so"
    einfo "sun-jdk-1.6.0.03 is the version of java-sun"
      einfo "or disable xcb in x11-libs/libX11"
   fi
}




Le fichier mercury à mettre dans le répertoire files de l'ebuild
Code:

#!/bin/bash
cd /usr/share/mercury
sh startup/startup_linux.sh

_________________
L'homme n'est pas fait pour travailler ça le fatigue.
LiveCD Gentoo : http://www.frogdev.info
Gentoo/Freebsd : http://www.frogdev.info/gentoo_freebsd.php


Last edited by bouleetbil on Sun Nov 18, 2007 8:49 pm; edited 1 time in total
Back to top
View user's profile Send private message
bouleetbil
Guru
Guru


Joined: 06 Jul 2004
Posts: 456
Location: Montpellier

PostPosted: Sun Nov 18, 2007 8:48 pm    Post subject: Reply with quote

desolé posté un peu vite voici le fichier files/mercury
Code:

#!/bin/bash
cd /usr/share/mercury


JAVA_EXEC=java

# Check for unsupported JVMs
JAVA_CLIENT=`${JAVA_EXEC} -version 2>&1`
if [ "`echo ${JAVA_CLIENT} | grep Blackdown`" != "" ]; then
   echo "Mercury does not run on Blackdown Java." >&2
   echo "Please, make sure to have the Sun Java version 1.5 or later installed." >&2
   exit 1
fi
if [ "`echo ${JAVA_CLIENT} | grep libgcj`" != "" ]; then
   echo "Mercury does not run on GNU Java." >&2
   echo "Please, make sure to have the Sun Java version 1.5 or later installed." >&2
   exit 1
fi


#that didn't work
#if (pidof compiz &> /dev/null) || (pidof compiz.real &> /dev/null) || (pidof beryl &> /dev/null); then
#    echo "- Adding Compiz/beryl compatibility mode."
#    AWT_TOOLKIT=MToolkit
#else
#    unset AWT_TOOLKIT
#fi

for file in `ls lib`
do
   classpath="lib/$file:$classpath"
done

java -Djava.library.path=jni:jni/jmf -Xmx512m -classpath $classpath com.dMSN.Main $*



_________________
L'homme n'est pas fait pour travailler ça le fatigue.
LiveCD Gentoo : http://www.frogdev.info
Gentoo/Freebsd : http://www.frogdev.info/gentoo_freebsd.php
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772

PostPosted: Sun Nov 18, 2007 8:53 pm    Post subject: Reply with quote

bouleetbil wrote:
J'utilise pas le use cam comme tout est dans le rpm et que l'intéret principal de ce client est la webcam en tout cas pour moi.

Avec des clients libres comme aMSN et Kopete ça marche bien aussi la webcam (enfin, bien autant que le protocole MSN le permet ...).
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Sun Nov 18, 2007 9:05 pm    Post subject: Reply with quote

Oui enfin dire que ça marche avec Kopete, c'est de l'optimisme quand même ^^.
Disons que de temps à autre, avec beaucoup de bol, tu peux apercevoir une image :D
_________________
Full Gentoo powered.
Back to top
View user's profile Send private message
bouleetbil
Guru
Guru


Joined: 06 Jul 2004
Posts: 456
Location: Montpellier

PostPosted: Sun Nov 18, 2007 9:07 pm    Post subject: Reply with quote

Le problème c'est que chez moi amsn freeze dès que j'utilise ma webcam ou il devient inutilisable et pour kopete j'ai essayé mais en face il voyait jamais l'appel de la webcam et j'ai du installé kdelibs juste pour kopete (bon après j'avoue que pour kopete j'ai pas trop cherché) .
Code:

[ebuild  N    ] net-misc/mDNSResponder-107.6-r5  USE="-debug -doc -java" 1,408 kB
[ebuild  N    ] app-crypt/qca-1.0-r2  30 kB
[ebuild  N    ] kde-base/kdelibs-3.5.7-r3  USE="alsa cups fam spell xinerama -acl -arts -avahi -branding -debug -doc -jpeg2k -kdeenablefinal -kdehiddenvisibility -kerberos -legacyssl -lua -openexr -pertty -tiff -utempter" 15,236 kB [1]
[ebuild  N    ] kde-base/kopete-3.5.7-r1  USE="crypt ssl xinerama -addbookmarks -alias -arts -autoreplace -connectionstatus -contactnotes -debug -gadu -groupwise -highlight -history -irc -jingle -kdeenablefinal -kdehiddenvisibility -latex -netmeeting -nowlistening -sametime -slp -sms -statistics -texteffect -translator -webpresence -winpopup -xscreensaver -yahoo" 9,154 kB

Alors comme j'ai java j'essaye mercury. Maintenant le jour ou amsn fonctionne bien avec webcam j'utiliserais amsn sans problème.
_________________
L'homme n'est pas fait pour travailler ça le fatigue.
LiveCD Gentoo : http://www.frogdev.info
Gentoo/Freebsd : http://www.frogdev.info/gentoo_freebsd.php
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772

PostPosted: Sun Nov 18, 2007 9:10 pm    Post subject: Reply with quote

Temet wrote:
Oui enfin dire que ça marche avec Kopete, c'est de l'optimisme quand même ^^.
Disons que de temps à autre, avec beaucoup de bol, tu peux apercevoir une image :D

Ma ptite soeur l'utilise tous les jours sans problème, alors si t'arrives pas à faire mieux ... :P
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Sun Nov 18, 2007 9:39 pm    Post subject: Reply with quote

Ca aurait été ta grande soeur encore, j'aurais proposé de tester (la webcam...) ... ;)
_________________
Full Gentoo powered.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum